"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const snakecase_keys_1 = __importDefault(require("snakecase-keys"));
const camelcase_keys_1 = __importDefault(require("camelcase-keys"));
class BaseTransformer {
    static fetchCollection(items, camelKey) {
        return items.map((item) => this.fetch(item, camelKey));
    }
    static sendCollection(items, snakeKey) {
        return items.map((item) => this.send(item, snakeKey));
    }
    static fetch(item, camelKey) {
        return camelKey ? (0, camelcase_keys_1.default)(item, { deep: true }) : item;
    }
    static send(item, snakeKey) {
        return snakeKey ? (0, snakecase_keys_1.default)(item) : item;
    }
}
exports.default = BaseTransformer;
