"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addElemWithDataAppToBody = exports.disableTransitions = exports.wrap = void 0;
const test_utils_1 = require("@vue/test-utils");
function wrap(vm) {
    return (0, test_utils_1.createWrapper)(vm, {
        attachedToDocument: true,
    });
}
exports.wrap = wrap;
function disableTransitions() {
    const css = `
  * {
    animation: none !important;
    transition: none !important;
    transition-timing-function: none !important;
  }`;
    const head = document.head || document.getElementsByTagName('head')[0];
    const style = document.createElement('style');
    head.appendChild(style);
    style.type = 'text/css';
    style.appendChild(document.createTextNode(css));
}
exports.disableTransitions = disableTransitions;
function addElemWithDataAppToBody() {
    const app = document.createElement('div');
    app.setAttribute('data-app', String(true));
    document.body.append(app);
}
exports.addElemWithDataAppToBody = addElemWithDataAppToBody;
